package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 消息主题
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum MessageTopicEnum {
    /**
     *
     */
    REPORT_YEAR_PLAN("年计划上报","TF_YWPN_PLANYEAR_W"),
    REPORT_MONTHLY_PLAN("月计划上报","TF_YWPN_PLANMOUTH_W"),
    REPORT_HIDDEN_TROUBLE("隐患上报","TF_YWPN_TROUBLE_W"),
    REPORT_HIDDEN_TROUBLE_ELIMINATION("消除隐患上报","TF_YWPN_BULIDCLEAR_W"),
    REPORT_CONSTRUCTION_SITE("工地监护上报","TF_YWPN_BUILD_W"),
    REPORT_CONSTRUCTION_SITE_ELIMINATION("工地监护消除上报","TF_YWPN_TOUBLECLEAR_W"),
    REPORT_PLAN_STOP("巡检任务申请暂停上报","TF_YWPN_PLANSTOP_W"),
    REPORT_PLAN_DISUSE("巡检任务申请作废上报","TF_YWPN_PLANCANCLE_W"),
    REPORT_REPAIR_YEAR_PLAN("抢修年计划上报","TF_YWPN_REPAIRPLANYEAR_W"),
    REPORT_REPAIR_MONTH_PLAN("抢修月计划上报","TF_YWPN_REPAIRPLAN_W"),
    REPORT_REPAIR_RECORD("抢维修处理记录上报","TF_YWPN_REPAIRRECORD_W"),
    REPORT_REPAIR_FILL_MONTH("app月运行记录填报上报","tf_fill_month_w"),

    AUDIT_YEAR_PLAN("年计划审核","TF_YWPN_PLANYEAR_W"),
    AUDIT_MONTHLY_PLAN("月计划审核","TF_YWPN_PLANMOUTH_W"),
    AUDIT_HIDDEN_TROUBLE("隐患审核","TF_YWPN_TROUBLE_W"),
    AUDIT_HIDDEN_TROUBLE_ELIMINATION("消除隐患审核","TF_YWPN_BULIDCLEAR_W"),
    AUDIT_CONSTRUCTION_SITE("工地监护审核","TF_YWPN_TROUBLE_W"),
    AUDIT_CONSTRUCTION_SITE_ELIMINATION("工地监护消除审核","TF_YWPN_TOUBLECLEAR_W"),
    AUDIT_PLAN_STOP("巡检任务申请暂停审核","TF_YWPN_PLANSTOP_W"),
    AUDIT_PLAN_DISUSE("巡检任务申请作废审核","TF_YWPN_PLANCANCLE_W"),
    AUDIT_REPAIR_YEAR_PLAN("抢维修年计划审核","TF_YWPN_REPAIRPLAN_W"),
    AUDIT_REPAIR_RECORD("抢维修处理记录审核","TF_YWPN_REPAIRRECORD_W"),
    AUDIT_REPAIR_FILL_MONTH("app月运行记录填报审核","tf_fill_month_w"),


    TASK_PLAN_SEND("计划任务","TF_YWPN_PLAN_W"),
    TASK_PLAN_HIDDEN_TROUBLE_SEND("隐患任务","TF_YWPN_PLAN_W"),
    TASK_CONSTRUCTION_SITE_SEND("工地监护任务","TF_YWPN_PLAN_W"),
    TASK_CONSTRUCTION_MAINTAIN("维护任务","TF_YWPN_PLAN_W"),
    TASK_PLAN_MAINTENANCE_ORDER("抢维修任务","TF_YWPN_REPAIRORDER_W"),
    TASK_PLAN_REJECTED_ORDER("抢维修任务驳回上报","TF_YWPN_REPAIRORDER_W"),
    TASK_PLAN_FORWARDING_ORDER("抢维修任务转发上报","TF_YWPN_REPAIRORDER_W"),
    TASK_PLAN_EVENTMANAGE_SEND("事件上报任务","TF_YWPN_DISPATCH_w"),
    TASK_PLAN_FLOODSEASON_SEND("汛情上报任务","TF_YWPN_DISPATCH_w"),

    RESULT_PLAN_FACTORY("计划下发厂站巡检结果","tf_ywpn_plan_factory"),

    CAR_APPLY("用车申请","TF_CAR_APPLY"),
    ;

    ;
    /**
     * 消息主题
     */
    private String topic;
    /**
     * 消息链接表名
     */
    private String tableName;


}
